Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84356 - "terminal serial" in grub.conf ignored when splashimage used
Summary: "terminal serial" in grub.conf ignored when splashimage used
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: grub
Version: 9
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Glen Foster
URL:
Whiteboard:
Depends On:
Blocks: 79579 CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2003-02-14 22:01 UTC by Roland McGrath
Modified: 2007-04-18 16:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-06 20:32:18 UTC


Attachments (Terms of Use)

Description Roland McGrath 2003-02-14 22:01:38 UTC
Description of problem:

My grub.conf does "terminal serial" after the appropriate "serial"
command for my setup.  If "splashimage=" appears after "terminal serial"
in grub.conf, it boots using the VGA console instead of the serial port.
If "splashimage=" is absent or appears before "terminal serial",
then it correctly boots on the serial port.


Version-Release number of selected component (if applicable):

grub-0.93-4


How reproducible:

100%

Steps to Reproduce:
1. set up serial console
2. put "terminal serial" in grub.conf, leave splashimage= there
3. boot; see it use the vga console
    
Actual results:

Uses the VGA console.


Expected results:

Uses the serial console.

Additional info:

Worked right in Psyche.

Comment 2 Bill Nottingham 2006-08-05 04:01:39 UTC
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.


Comment 3 Roland McGrath 2006-08-06 20:32:18 UTC
Seems to be fixed, using grub-0.97-5


Note You need to log in before you can comment on or make changes to this bug.